Wed Oct 21 18:21:39 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile: Emacstool and other Sun-only targets replaced.
	* emacstool.c: New file.

Sat Aug 22 03:09:48 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* emacsclient.c (main): Set IPC_CREAT in msgget call.

Thu Aug 20 01:09:32 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* etags.c (TEX_funcs): Keep just 1 of two redundant nested loops.
	(TEX_decode_env): Make `tab' one element longer.

Sat May  9 16:24:08 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* etags.c (getit): Allow _ and $ in fortran symbol.

Thu May  7 16:11:26 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* movemail.c [POP]: Get user name via getpwuid.

Sat Mar 28 15:59:12 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* movemail.c: Allocate tempname dynamically.

Sun Mar 22 23:21:21 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.c: Include sys/types.h before signal.h.

Thu Mar 12 16:45:36 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* termcap.dat: Added vt101*, vt102*, vt131* and vt300.

Sat Jan 25 16:20:41 1992  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* env.c: Include errno.h.

Sun Jan 19 11:29:00 1992    (Eric Youngdale at youngdale@v6550c.nrl.navy.mil)

	* etags-vmslib.c (fn_exp): Add type cast.

Tue Dec 31 16:16:05 1991  Richard Stallman  (rms at mole.gnu.ai.mit.edu)

	* server.c: Include sys/signal.h before config.h.

Sat Dec  7 17:04:17 1991  Richard Stallman  (rms at mole.gnu.ai.mit.edu)

	* movemail.c: Copied from Emacs 19.
	(pfatal_and_delete): New function.
	(main, popmail): Use it.
	(popmail): Close output before deleting messages.
	Check for error on close and on fsync.
	Use `fatal' where appropriate.
	(main): Remove (void).
	(MAIL_USE_MMDF): New compilation flag
	(main): Report failure of flock.

Fri Oct 25 14:43:33 1991  Richard Stallman  (rms at mole.gnu.ai.mit.edu)

	* server.c (msgcatch): Declare return type void.

	* make-docfile.c: Fix comment on #endif.

Tue Sep 17 18:15:42 1991  Richard Stallman  (rms at mole.gnu.ai.mit.edu)

	* etags.c (main): Don't make actions depend on programmer name.

Sat Sep 14 01:42:39 1991  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* etags.c (C_entries): Clear tydef and next_token_is_func at start.
	(consider_token): Move next_token_is_func to global.

Mon Sep  2 16:22:04 1991  Richard Stallman  (rms at mole.gnu.ai.mit.edu)

	* server.c, emacsclient.c [not SERVER_HOME_DIR]:
	Include host name in the name of the socket.

Tue Jul 30 17:03:41 1991  Richard Stallman  (rms at mole.gnu.ai.mit.edu)

	* wakeup.c: Terminate if parent goes away.

Fri Mar 29 19:00:10 1991  Richard Stallman  (rms at mole.gnu.ai.mit.edu)

	* server.c [USG]: Terminate if msgrcv fails.

Sun Mar  3 22:05:52 1991  Richard Stallman  (rms at mole.ai.mit.edu)

	* server.c [BSD]: Check for errors on stdin after scanf.

Tue Feb 26 15:55:07 1991  Richard Stallman  (rms at mole.ai.mit.edu)

	* etags.c (TEX_mode): Skip comment line at beg of file.

Mon Dec 31 17:52:55 1990  Richard Stallman  (rms at mole.ai.mit.edu)

	* refcard.tex: Change am fonts to cm.

Thu Nov 29 17:34:14 1990  Richard Stallman  (rms at mole.ai.mit.edu)

	* movemail.c (mbx_delimit_begin): Put space before `unseen'.

Sun Nov 18 17:09:07 1990  Richard Stallman  (rms at mole.ai.mit.edu)

	* server.c, emacsclient.c [BSD]: Put socket in /tmp.

Tue Nov 13 00:01:54 1990  Richard Stallman  (rms at mole.ai.mit.edu)

	* movemail.c (error): Handle 3 args.
	(main): Don't check input access if using pop.

Tue Oct 30 12:38:39 1990  David J. MacKenzie  (djm at apple-gunkies)

	* emacs.1: Give the mouse bindings for X11 instead of X10.

Tue Oct 16 14:04:05 1990  Richard Stallman  (rms at mole.ai.mit.edu)

	* etags.c (find_entries): Check for numbers after Scheme suffix.

Sun Oct 14 18:46:21 1990  Richard Stallman  (rms at mole.ai.mit.edu)

	* termcap.dat (vt200-80): Fix ke and ks to frob flag 1.

Tue Oct  9 15:22:16 1990  Richard Stallman  (rms at mole.ai.mit.edu)

	* Makefile (nemacstool, xvetool): New targets.

Wed Sep 26 18:42:18 1990  Richard Stallman  (rms at mole.ai.mit.edu)

	* emacsclient.c (errno): Declare it explicitly.

Tue Aug 14 21:34:50 1990  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* emacsclient.c [USG]: Pass msgsnd only 4 args.

Tue Aug  7 13:17:58 1990  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* Makefile (clean): New target.

Sun Jul  8 18:18:00 1990  Richard Stallman  (rms at geech)

	* emacsclient.c [BSD]: Include errno.h.
	Declare sys_nerr and sys_errlist.

Wed Jul  4 15:40:33 1990  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* wakeup.c: New file.
	* Makefile (wakeup): New rule.

Wed May 30 15:40:59 1990  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* emacsclient.c: Print program name in error messages.
	Handle failure of getwd.
	Handle +LINE arguments in SYSVIPC case.
	These are most of the changes already in the version 19 file.

Mon May 28 21:54:59 1990  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* loadst.c (main): Conditional to get load average on Apollo.

Sun Dec 24 23:54:28 1989  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* etags.c (readline): Separate out init of `pend'.

Thu Jun 15 12:53:43 1989  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* movemail.c [USG]: Define F_OK, etc., if not in header.

Fri May 12 22:08:09 1989  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* etags.c (readline): Split call to xrealloc for 3b1 cc bug.

Tue Apr 18 21:31:25 1989  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* loadst.c: on bsd4.3, use gettimeofday instead of CPUSTATES.

Thu Mar 16 13:43:07 1989  Randall Smith  (randy at sugar-bombs.ai.mit.edu)

	* MACHINES: m-sequent.h works for symmetry also.

Mon Mar 13 17:03:06 1989  Randall Smith  (randy at sugar-bombs.ai.mit.edu)

	* MACHINES: Added note mentioning m-news3.0.h.

Tue Feb 21 12:58:55 1989  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* movemail.c: On sysv, include unistd.h.

Tue Jan  3 13:29:46 1989  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* movemail.c: Check access before doing real work.
	Check that outfile is in a writable directory.
	On fatal error, delete the lock file.

Fri Dec 30 16:37:27 1988  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* movemail.c: Use `access' to check input and output files.

Wed Dec 28 23:16:28 1988  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* emacsclient.c [USG]: Don't append cwd if abs pathname is spec'd.

Wed Nov 30 15:21:13 1988  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* movemail.c: Do fsync before closing output.

Tue Nov 29 09:59:54 1988  Richard Mlynarik  (mly at pickled-brain.ai.mit.edu)

        * movemail.c:  Better error message when can't create tempname.
        This file needs a great deal of extra error-checking and lucid reporting...

Tue Nov 15 10:00:21 1988  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* movemail.c: Close output and check errors before deleting input.

Thu Aug  4 19:42:45 1988  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* emacsclient.c: Args like +DIGITS are passed through unchanged.

Tue Jul 12 22:08:00 1988  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* server.c: If both BSD and HAVE_SYSVIPC, use the latter.
	* emacsclient.c: Likewise.
	In the HAVE_SYSVIPC alternative, if BSD, use getwd instead of getcwd.

Thu Jun 23 08:40:53 1988  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* etags.c: Handle `typedef struct foo {' (price@mcc.com).
	(istoken) New string-comparison macro.
	(consider_token): New arg `level'.  New state `tag_ok' in `tydef'.

Tue Jun 14 04:25:58 1988  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* etags.c: Changes for VMS.
	Always define ETAGS on VMS.
	Define macros GOOD and BAD for success and failure exit codes.
	(begtk, intk): Allow `$' in identifiers
	(main): Don't support -B, -F or -u on VMS.
	Alternate loop for scanning filename arguments.
	(system): Delete definition of this function.

	* etags-vmslib.c (system): Undefine this; VMS now provides it.

Wed Jun  8 08:18:21 1988  Richard Stallman  (rms at sugar-bombs.ai.mit.edu)

	* loadst.c: Prevent multiple-def errors on BSD and BSD4_3
	around include of param.h.  (Like fns.c.)

Mon May 16 01:06:26 1988  Richard Stallman  (rms at frosted-flakes.ai.mit.edu)

	* loadst.c (load_average): Move load-average code to this new fn.
	Add conditionals to compute load ave on UMAX.

Sat May 14 01:24:53 1988  Richard Stallman  (rms at lucky-charms.ai.mit.edu)

	* loadst.c: Change DK_HEADER_FILE to DKSTAT_HEADER_FILE
	with opposite sense.

Fri May 13 18:09:39 1988  Chris Hanson  (cph at kleph)

	* emacsclient.c: Delete references to unused variable `out'.  This
	caused a bus error when used under hp-ux.

Fri May  6 10:42:31 1988  Richard Stallman  (rms at frosted-flakes.ai.mit.edu)

	* loadst.c: Control dk.h conditional with DK_HEADER_FILE.

Wed May  4 16:08:43 1988  Richard Stallman  (rms at rice-krispies.ai.mit.edu)

	* etags.c (find_entries): `.t' or `.sch' means scheme code.

Fri Apr 29 00:22:26 1988  Richard Stallman  (rms at frosted-flakes.ai.mit.edu)

	* loadst.c: Add BSD4_3 conditional for file dk.h instead of dkstat.h.

Thu Apr 28 08:55:46 1988  Richard Stallman  (rms at frosted-flakes.ai.mit.edu)

	* movemail.c: #undef close, since config can #define it on V.3.
	* emacsclient.c, fakemail.c, loadst.c, server.c: likewise.

Tue Apr 26 07:33:01 1988  Richard Stallman  (rms at lucky-charms.ai.mit.edu)

	* etags.c (TEX_mode, etc.): Remove superfluous backslashes from
	invalid escape sequences such as `\{'.

	* loadst.c: Add `sequent' conditional for file dk.h.

Sun Mar 20 13:17:13 1988  Richard M. Stallman  (rms at wilson)

	* server.c [not BSD and not HAVE_SYSVIPC]: fix error message.

	* loadst.c (main) [XENIX]: use /usr/spool/mail, not /usr/mail.


